Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.daemon.support
Class DaemonLoader.Context

    java.lang.Object
      org.apache.commons.daemon.support.DaemonLoader.Context

All Implemented Interfaces:
  DaemonContext

Enclosing class:
  DaemonLoader

    public static class DaemonLoader.Context

extends java.lang.Object
implements DaemonContext

Constructor Summary
`DaemonLoader.Context()`

Method Summary
`java.lang.String[]` | `getArguments()` Returns an array of `String` arguments supplied by the environment.
`DaemonController` | `getController()` Returns `DaemonController` object that can be used to control the `Daemon` instance that this `DaemonContext` is passed to.
`void` | `setArguments(java.lang.String[] args)`
`void` | `setController(DaemonController controller)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DaemonLoader.Context

    public DaemonLoader.Context()

Method Detail

### getController

    public DaemonController getController()

  Description copied from interface: `DaemonContext`
  Returns `DaemonController` object that can be used to control the `Daemon` instance that this `DaemonContext` is passed to.

  Specified by:
    `getController` in interface `DaemonContext`

### setController

    public void setController(DaemonController controller)

### getArguments

    public java.lang.String[] getArguments()

  Description copied from interface: `DaemonContext`
  Returns an array of `String` arguments supplied by the environment. corresponding to the array of arguments given in the `public static void main()` method used as an entry point to most other java programs.

  Specified by:
    `getArguments` in interface `DaemonContext`

### setArguments

    public void setArguments(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002-2011 - Apache Software Foundation